%define		kdeplasmaver	5.23.4
%define		qtver		5.9.0
%define		kpname		drkonqi
Summary:	drkonqi
Name:		kp5-%{kpname}
Version:	5.23.4
Release:	2
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	8a105673248c94dd7d67345e5015cfa1
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	Qt5X11Extras-devel
BuildRequires:	Qt5Xml-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	hardlink >= 1.0-3
BuildRequires:	kf5-attica-devel
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-frameworkintegration-devel
BuildRequires:	kf5-kauth-devel
BuildRequires:	kf5-kcmutils-devel
BuildRequires:	kf5-kcodecs-devel
BuildRequires:	kf5-kconfig-devel
BuildRequires:	kf5-kconfigwidgets-devel
BuildRequires:	kf5-kcoreaddons-devel
BuildRequires:	kf5-kcrash-devel
BuildRequires:	kf5-kguiaddons-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kservice-devel
BuildRequires:	kf5-kwidgetsaddons-devel
BuildRequires:	kf5-kwindowsystem-devel
BuildRequires:	kf5-syntax-highlighting-devel
BuildRequires:	kp5-kdecoration-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	qt5-qmake
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	systemd
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Plasma crash handler, gives the user feedback if a program crashed.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_iconsdir}/{breeze-dark,breeze}
install -d $RPM_BUILD_ROOT%{systemdunitdir}

%ninja_install -C build

mv $RPM_BUILD_ROOT%{_prefix}%{systemdunitdir}/drkonqi-coredump-processor@.service $RPM_BUILD_ROOT%{systemdunitdir}/

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/drkonqi
%{_datadir}/drkonqi
%{_desktopdir}/org.kde.drkonqi.desktop
%{_datadir}/qlogging-categories5/drkonqi.categories
%{systemdunitdir}/drkonqi-coredump-processor@.service
%{systemduserunitdir}/drkonqi-coredump-cleanup.service
%{systemduserunitdir}/drkonqi-coredump-cleanup.timer
%{systemduserunitdir}/drkonqi-coredump-launcher.socket
%{systemduserunitdir}/drkonqi-coredump-launcher@.service
%dir %{_libdir}/qt5/plugins/drkonqi
%{_libdir}/qt5/plugins/drkonqi/KDECoredumpNotifierTruck.so
%attr(755,root,root) %{_prefix}/libexec/drkonqi-coredump-cleanup
%attr(755,root,root) %{_prefix}/libexec/drkonqi-coredump-launcher
%attr(755,root,root) %{_prefix}/libexec/drkonqi-coredump-processor
%changelog
* Wed Dec 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-drkonqi.git;a=log;h=master

* Wed Dec 08 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f4b2733
- BR

* Wed Dec 08 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3935616
- BR

* Wed Dec 01 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d7f2949
- updated to 5.23.4

* Sat Nov 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a084707
- updated to 5.23.3

* Thu Oct 28 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 334981b
- fixing systemd units location

* Tue Oct 26 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 03af103
- updated to 5.23.2

* Wed Oct 20 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 3f90cd0
- updated to 5.23.1

* Thu Oct 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 197fb8f
- updated to 5.23.0

* Fri Sep 03 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 9d5e7f8
- updated to 5.22.5

* Tue Jul 27 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4c42d91
- updated to 5.22.4

* Wed Jul 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 30b20b2
- updated to 5.22.3

* Wed Jun 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e54fca4
- updated to 5.22.2.1

* Wed Jun 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 448a0a8
- updated to 5.22.1

* Wed Jun 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 62324bf
- updated to 5.22.0

* Wed May 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4943da5
- updated to 5.21.5

* Fri Apr 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 14ca196
- updated to 5.21.4

* Tue Mar 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 2e2369a
- update to 5.21.3

* Sun Mar 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d10eb71
- update to 5.21.2

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 02bc4a8
- updated to 5.15.3

* Fri Jan 11 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 9ab2356
- updated to 5.14.5

